Package twisted :: Package internet :: Module udp :: Class MulticastPort

[show private | hide private]
[frames | no frames]

## Class MulticastPort

            MulticastMixin --+
                             |
        Logger --+           |
                 |           |
     Ephemeral --+           |
                 |           |
    FileDescriptor --+       |
                     |       |
              BasePort --+   |
                         |   |
                      Port --+
                             |
                            MulticastPort

UDP Port that supports multicasting.

Method Summary
| ``__init__`(self, port, protocol, interface, maxPacketSize, reactor)` Initialize with a numeric port to listen on. (inherited from `Port`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__repr__(self)` (inherited from `Port`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionLost`(self, reason)` Cleans up my socket. (inherited from `Port`)
| `createInternetSocket(self)` (inherited from `BasePort`)
| ``doRead`(self)` Called when my socket is ready for reading. (inherited from `Port`)
| ``doWrite`(self)` Raises a RuntimeError (inherited from `BasePort`)
| ``fileno`(self)` File Descriptor number for select(). (inherited from `FileDescriptor`)
| ``getHost`(self)` Returns a tuple of ('INET_UDP', hostname, port), indicating the servers address (inherited from `Port`)
| `getLoopbackMode(self)` (inherited from `MulticastMixin`)
| `getOutgoingInterface(self)` (inherited from `MulticastMixin`)
| `getTTL(self)` (inherited from `MulticastMixin`)
| ``joinGroup`(self, addr, interface)` Join a multicast group. (inherited from `MulticastMixin`)
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success. (inherited from `MulticastMixin`)
| `log(self, bytes)` (inherited from `Logger`)
| ``logPrefix`(self)` Returns the name of my class, to prefix log entries with. (inherited from `Port`)
| ``loseConnection`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `pauseProducing(self)` (inherited from `FileDescriptor`)
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer. (inherited from `FileDescriptor`)
| `resumeProducing(self)` (inherited from `FileDescriptor`)
| `setLogStr(self)` (inherited from `Port`)
| `setLoopbackMode(self, mode)` (inherited from `MulticastMixin`)
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success. (inherited from `MulticastMixin`)
| `setTTL(self, ttl)` (inherited from `MulticastMixin`)
| ``startListening`(self)` Create and bind my socket, and begin listening on it. (inherited from `Port`)
| ``startReading`(self)` Start waiting for read availability. (inherited from `FileDescriptor`)
| ``startWriting`(self)` Start waiting for write availability. (inherited from `FileDescriptor`)
| ``stopConsuming`(self)` Stop consuming data. (inherited from `FileDescriptor`)
| ``stopListening`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `stopProducing(self)` (inherited from `FileDescriptor`)
| ``stopReading`(self)` Stop waiting for read availability. (inherited from `FileDescriptor`)
| ``stopWriting`(self)` Stop waiting for write availability. (inherited from `FileDescriptor`)
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting. (inherited from `FileDescriptor`)
| ``write`(self, datagram, (host,` Write a datagram. (inherited from `Port`)
| `writeSequence(self, seq, addr)` (inherited from `Port`)
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately. (inherited from `FileDescriptor`)
| `_bindSocket(self)` (inherited from `Port`)
| `_connectToProtocol(self)` (inherited from `Port`)
| `_joinAddr1(self, addr, interface, join)` (inherited from `MulticastMixin`)
| `_joinAddr2(self, interface, addr, join)` (inherited from `MulticastMixin`)
| `_Logger__prefix(self)` (inherited from `Logger`)
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written. (inherited from `FileDescriptor`)
| `_setInterface(self, addr)` (inherited from `MulticastMixin`)

Class Variable Summary
`tuple` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (((<class twisted.internet.interfaces.IProducer at 0x81d489c>,
           <class twisted.internet.interfaces.IReadWriteDescriptor at 0x81d45d\
        c>,
           <class twisted.internet.interfaces.IConsumer at 0x81d4704>,
           <class twisted.internet.interfaces.ITransport at 0x81d4bcc>),
          <class twisted.internet.interfaces.IUDPTransport at 0x81d532c>),
         <class twisted.internet.interfaces.IMulticastTransport at 0x81d52c4>)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:06 2003 | http://epydoc.sf.net